package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CountrysideWater;
import com.lightinit.hsdatashow.entity.CountrysideWaterExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CountrysideWaterMapper {
    long countByExample(CountrysideWaterExample example);

    int deleteByExample(CountrysideWaterExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CountrysideWater record);

    int insertSelective(CountrysideWater record);

    List<CountrysideWater> selectByExample(CountrysideWaterExample example);

    CountrysideWater selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CountrysideWater record, @Param("example") CountrysideWaterExample example);

    int updateByExample(@Param("record") CountrysideWater record, @Param("example") CountrysideWaterExample example);

    int updateByPrimaryKeySelective(CountrysideWater record);

    int updateByPrimaryKey(CountrysideWater record);

    List<CountrysideWater> getCountrysideWater(@Param("year") int year);
}